-- MySQL dump 10.13  Distrib 8.0.34, for Win64 (x86_64)
--
-- Host: localhost    Database: db_restaurant
-- ------------------------------------------------------
-- Server version	8.0.34

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */
;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */
;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */
;
/*!50503 SET NAMES utf8mb4 */
;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */
;
/*!40103 SET TIME_ZONE='+00:00' */
;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */
;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */
;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */
;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */
;

--
-- Table structure for table `categorias`
--

DROP TABLE IF EXISTS `categorias`;
/*!40101 SET @saved_cs_client     = @@character_set_client */
;
/*!50503 SET character_set_client = utf8mb4 */
;

CREATE TABLE
    `categorias` (
        `id` int NOT NULL AUTO_INCREMENT,
        `nombre` varchar(30) NOT NULL,
        `url` varchar(255) NOT NULL,
        `estado` enum('Habilitado', 'Deshabilitado') DEFAULT 'Habilitado',
        `horaInicio` int DEFAULT '0',
        `horaFin` int DEFAULT '0',
        PRIMARY KEY (`id`)
    ) ENGINE = InnoDB AUTO_INCREMENT = 15 DEFAULT CHARSET = utf8mb4 COLLATE = utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */
;

--
-- Dumping data for table `categorias`
--

LOCK TABLES `categorias` WRITE;
/*!40000 ALTER TABLE `categorias` DISABLE KEYS */
;

INSERT INTO `categorias`
VALUES (
        1,
        'Foods',
        'http://res.cloudinary.com/dfx5ww1l1/image/upload/v1698501047/sbairbcakvspeiiqocfk.jpg',
        'Habilitado',
        420,
        600
    ), (
        2,
        'Liquor',
        'http://res.cloudinary.com/dfx5ww1l1/image/upload/v1698501152/upnqsm8lhws1liwyaeuj.jpg',
        'Habilitado',
        0,
        0
    ), (
        3,
        'Wine',
        'http://res.cloudinary.com/dfx5ww1l1/image/upload/v1698501173/sihmuwn9hxpowqnyw3fw.jpg',
        'Habilitado',
        0,
        0
    ), (
        4,
        'Beverage',
        'http://res.cloudinary.com/dfx5ww1l1/image/upload/v1698501212/zueelgeibaz1wjicnxid.jpg',
        'Habilitado',
        0,
        0
    ), (
        5,
        'Beer',
        'http://res.cloudinary.com/dfx5ww1l1/image/upload/v1698501227/kpaa36lb1u6r6kpykz5v.jpg',
        'Habilitado',
        0,
        0
    ), (
        6,
        'Other',
        'http://res.cloudinary.com/dfx5ww1l1/image/upload/v1698501261/fqbqdv6riimgjtwq29go.jpg',
        'Habilitado',
        0,
        0
    ), (
        14,
        'categoria editada',
        'http://res.cloudinary.com/dfx5ww1l1/image/upload/v1701180590/mcllf54ei455rupgkwlk.png',
        'Habilitado',
        600,
        600
    );
/*!40000 ALTER TABLE `categorias` ENABLE KEYS */
;

UNLOCK TABLES;

--
-- Table structure for table `comida_variantes`
--

DROP TABLE IF EXISTS `comida_variantes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */
;
/*!50503 SET character_set_client = utf8mb4 */
;

CREATE TABLE
    `comida_variantes` (
        `comidaId` int NOT NULL,
        `varianteId` int NOT NULL,
        PRIMARY KEY (`comidaId`, `varianteId`),
        KEY `varianteId` (`varianteId`),
        CONSTRAINT `comida_variantes_ibfk_1` FOREIGN KEY (`comidaId`) REFERENCES `comidas` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
        CONSTRAINT `comida_variantes_ibfk_2` FOREIGN KEY (`varianteId`) REFERENCES `variantes` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
    ) ENGINE = InnoDB DEFAULT CHARSET = utf8mb4 COLLATE = utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */
;

--
-- Dumping data for table `comida_variantes`
--

LOCK TABLES `comida_variantes` WRITE;
/*!40000 ALTER TABLE `comida_variantes` DISABLE KEYS */
;

INSERT INTO `comida_variantes`
VALUES (1, 1), (1, 2), (1, 3), (4, 3), (4, 4), (3, 6), (2, 10);
/*!40000 ALTER TABLE `comida_variantes` ENABLE KEYS */
;

UNLOCK TABLES;

--
-- Table structure for table `comidas`
--

DROP TABLE IF EXISTS `comidas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */
;
/*!50503 SET character_set_client = utf8mb4 */
;

CREATE TABLE
    `comidas` (
        `id` int NOT NULL AUTO_INCREMENT,
        `nombre` varchar(30) NOT NULL,
        `descripcion` varchar(100) DEFAULT NULL,
        `precio` double NOT NULL,
        `s1_price` double DEFAULT NULL,
        `s2_price` double DEFAULT NULL,
        `s3_price` double DEFAULT NULL,
        `url` varchar(255) NOT NULL,
        `estado` enum('Habilitado', 'Deshabilitado') DEFAULT 'Habilitado',
        `categoriaId` int DEFAULT NULL,
        `horaInicio` int DEFAULT '0',
        `horaFin` int DEFAULT '0',
        PRIMARY KEY (`id`),
        KEY `categoriaId` (`categoriaId`),
        CONSTRAINT `comidas_ibfk_1` FOREIGN KEY (`categoriaId`) REFERENCES `categorias` (`id`) ON DELETE
        SET
            NULL ON UPDATE CASCADE
    ) ENGINE = InnoDB AUTO_INCREMENT = 6 DEFAULT CHARSET = utf8mb4 COLLATE = utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */
;

--
-- Dumping data for table `comidas`
--

LOCK TABLES `comidas` WRITE;
/*!40000 ALTER TABLE `comidas` DISABLE KEYS */
;

INSERT INTO `comidas`
VALUES (
        1,
        'Chicken Burguer',
        'Chicken  with cheese and salad cooked grilled or fried',
        10.99,
        NULL,
        NULL,
        NULL,
        'http://res.cloudinary.com/dfx5ww1l1/image/upload/v1698503710/yuc0ko10whxzkiov4dna.jpg',
        'Habilitado',
        1,
        0,
        0
    ), (
        2,
        'Mariscada',
        'A delicious broth of clams, mussels, shrimp, crab, scallops and tilapia',
        24.99,
        NULL,
        NULL,
        NULL,
        'http://res.cloudinary.com/dfx5ww1l1/image/upload/v1698505358/wyn5a0ir6p468qi6nzeb.jpg',
        'Habilitado',
        1,
        0,
        0
    ), (
        3,
        'Tequila',
        '',
        89.99,
        NULL,
        NULL,
        NULL,
        'http://res.cloudinary.com/dfx5ww1l1/image/upload/v1698505535/nv0ntvykqxmn2qtlj6yo.jpg',
        'Habilitado',
        2,
        0,
        0
    ), (
        4,
        'Double Burguer',
        'Double Burguer with melted cheese and onion and lettuce',
        12.99,
        NULL,
        NULL,
        NULL,
        'http://res.cloudinary.com/dfx5ww1l1/image/upload/v1698505744/crnvh1vrz1f3a56zo0oc.jpg',
        'Habilitado',
        1,
        0,
        0
    ), (
        5,
        'food update',
        'descripcion',
        23,
        11,
        12,
        13,
        'http://res.cloudinary.com/dfx5ww1l1/image/upload/v1701183281/zlxzwys0m9vln72pzpig.png',
        'Habilitado',
        1,
        600,
        600
    );
/*!40000 ALTER TABLE `comidas` ENABLE KEYS */
;

UNLOCK TABLES;

--
-- Table structure for table `items`
--

DROP TABLE IF EXISTS `items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */
;
/*!50503 SET character_set_client = utf8mb4 */
;

CREATE TABLE
    `items` (
        `id` int NOT NULL AUTO_INCREMENT,
        `cantidad` int NOT NULL,
        `subtotal` double NOT NULL,
        `descuento` double DEFAULT NULL,
        `comidaId` int DEFAULT NULL,
        `ordenId` int DEFAULT NULL,
        PRIMARY KEY (`id`),
        KEY `comidaId` (`comidaId`),
        KEY `ordenId` (`ordenId`),
        CONSTRAINT `items_ibfk_1` FOREIGN KEY (`comidaId`) REFERENCES `comidas` (`id`) ON DELETE
        SET
            NULL ON UPDATE CASCADE,
            CONSTRAINT `items_ibfk_2` FOREIGN KEY (`ordenId`) REFERENCES `ordenes` (`id`) ON DELETE
        SET
            NULL ON UPDATE CASCADE
    ) ENGINE = InnoDB AUTO_INCREMENT = 21 DEFAULT CHARSET = utf8mb4 COLLATE = utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */
;

--
-- Dumping data for table `items`
--

LOCK TABLES `items` WRITE;
/*!40000 ALTER TABLE `items` DISABLE KEYS */
;

INSERT INTO `items`
VALUES (9, 3, 43, NULL, 1, 2), (10, 3, 44, NULL, 1, 2), (11, 3, 44, NULL, 1, 2), (12, 3, 44, NULL, 1, 3), (13, 1, 17.99, NULL, 1, 3), (14, 1, 550, NULL, 3, 3), (15, 3, 44, NULL, 1, 4), (16, 5, 44, NULL, 1, 4), (19, 3, 44, NULL, 1, 5), (20, 1, 550, NULL, 2, 5);
/*!40000 ALTER TABLE `items` ENABLE KEYS */
;

UNLOCK TABLES;

--
-- Table structure for table `items_opciones`
--

DROP TABLE IF EXISTS `items_opciones`;
/*!40101 SET @saved_cs_client     = @@character_set_client */
;
/*!50503 SET character_set_client = utf8mb4 */
;

CREATE TABLE
    `items_opciones` (
        `itemId` int NOT NULL,
        `opcioneId` int NOT NULL,
        PRIMARY KEY (`itemId`, `opcioneId`),
        KEY `opcioneId` (`opcioneId`),
        CONSTRAINT `items_opciones_ibfk_1` FOREIGN KEY (`itemId`) REFERENCES `items` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
        CONSTRAINT `items_opciones_ibfk_2` FOREIGN KEY (`opcioneId`) REFERENCES `opciones` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
    ) ENGINE = InnoDB DEFAULT CHARSET = utf8mb4 COLLATE = utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */
;

--
-- Dumping data for table `items_opciones`
--

LOCK TABLES `items_opciones` WRITE;
/*!40000 ALTER TABLE `items_opciones` DISABLE KEYS */
;

INSERT INTO `items_opciones`
VALUES (9, 1), (11, 1), (14, 1), (9, 2), (11, 2), (12, 2), (14, 2), (15, 2), (19, 2), (9, 4), (13, 11), (20, 11), (16, 20);
/*!40000 ALTER TABLE `items_opciones` ENABLE KEYS */
;

UNLOCK TABLES;

--
-- Table structure for table `mesas`
--

DROP TABLE IF EXISTS `mesas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */
;
/*!50503 SET character_set_client = utf8mb4 */
;

CREATE TABLE
    `mesas` (
        `id` int NOT NULL AUTO_INCREMENT,
        `numero` varchar(10) NOT NULL,
        `capacidad` int NOT NULL,
        `estado` enum(
            'Libre',
            'Ocupado',
            'Deshabilitado',
            'Reservado',
            'Bloqueado'
        ) DEFAULT 'Libre',
        `mesas` varchar(255) DEFAULT NULL,
        `auxiliar` tinyint(1) DEFAULT '0',
        `seccionId` int DEFAULT NULL,
        PRIMARY KEY (`id`),
        KEY `seccionId` (`seccionId`),
        CONSTRAINT `mesas_ibfk_1` FOREIGN KEY (`seccionId`) REFERENCES `secciones` (`id`) ON DELETE
        SET
            NULL ON UPDATE CASCADE
    ) ENGINE = InnoDB AUTO_INCREMENT = 14 DEFAULT CHARSET = utf8mb4 COLLATE = utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */
;

--
-- Dumping data for table `mesas`
--

LOCK TABLES `mesas` WRITE;
/*!40000 ALTER TABLE `mesas` DISABLE KEYS */
;

INSERT INTO `mesas`
VALUES (1, 'B-001', 4, 'Libre', NULL, 0, 1), (2, 'H-002', 4, 'Libre', NULL, 0, 1), (3, 'B-002', 4, 'Libre', NULL, 0, 2), (4, 'H-004', 4, 'Libre', NULL, 0, 2), (5, 'H-001', 4, 'Libre', NULL, 0, 2), (6, 'T-004', 4, 'Libre', NULL, 0, 2), (7, 'T-003', 4, 'Libre', NULL, 0, 2), (8, 'T-002', 4, 'Libre', NULL, 0, 3), (9, 'B-004', 4, 'Libre', NULL, 0, 3), (
        10,
        'T-001',
        4,
        'Libre',
        NULL,
        0,
        3
    ), (
        11,
        'H-003',
        4,
        'Libre',
        NULL,
        0,
        1
    ), (
        12,
        'B-003',
        4,
        'Deshabilitado',
        '\"1-2\"',
        1,
        1
    );
/*!40000 ALTER TABLE `mesas` ENABLE KEYS */
;

UNLOCK TABLES;

--
-- Table structure for table `opciones`
--

DROP TABLE IF EXISTS `opciones`;
/*!40101 SET @saved_cs_client     = @@character_set_client */
;
/*!50503 SET character_set_client = utf8mb4 */
;

CREATE TABLE
    `opciones` (
        `id` int NOT NULL AUTO_INCREMENT,
        `nombre` varchar(30) NOT NULL,
        `precio` double NOT NULL,
        `varianteId` int DEFAULT NULL,
        PRIMARY KEY (`id`),
        KEY `varianteId` (`varianteId`),
        CONSTRAINT `opciones_ibfk_1` FOREIGN KEY (`varianteId`) REFERENCES `variantes` (`id`) ON DELETE
        SET
            NULL ON UPDATE CASCADE
    ) ENGINE = InnoDB AUTO_INCREMENT = 30 DEFAULT CHARSET = utf8mb4 COLLATE = utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */
;

--
-- Dumping data for table `opciones`
--

LOCK TABLES `opciones` WRITE;
/*!40000 ALTER TABLE `opciones` DISABLE KEYS */
;

INSERT INTO `opciones`
VALUES (1, 'Grilled', 1, 1), (2, 'Fried', 0, 1), (3, 'Double cheese', 1, 2), (4, 'Egg', 1, 2), (5, 'Lettuce', 0, 2), (6, 'Onion', 0, 2), (7, 'Middel ground', 0, 3), (8, 'Cooked', 0, 3), (9, 'Well cooked', 0, 3), (10, 'Double cheese', 1, 10), (11, 'Ham', 1, 10), (12, 'Lettuce', 0, 10), (13, 'Onion', 0, 10), (14, 'Crab', 0, 4), (15, 'Shrimp', 0, 4), (16, 'Mussels', 1, 4), (17, 'Lemon', 1, 5), (18, 'Salt', 0, 5), (19, '4 years', 0, 6), (20, '5 years', 29.99, 6), (21, '10 years', 79.99, 6), (22, '1/2 liter', 0, 7), (23, '1 liters', 2.99, 7), (24, '2 liters', 6.99, 7), (25, 'Natural', 0, 8), (26, 'Cold', 0, 8), (27, 'Jar', 0, 9), (28, 'Bottle', 5.99, 9);
/*!40000 ALTER TABLE `opciones` ENABLE KEYS */
;

UNLOCK TABLES;

--
-- Table structure for table `ordenes`
--

DROP TABLE IF EXISTS `ordenes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */
;
/*!50503 SET character_set_client = utf8mb4 */
;

CREATE TABLE
    `ordenes` (
        `id` int NOT NULL AUTO_INCREMENT,
        `estado` enum(
            'Pendiente',
            'Entregado',
            'Cancelado'
        ) DEFAULT 'Pendiente',
        `total` double NOT NULL,
        `people` int NOT NULL,
        `descuento` double DEFAULT NULL,
        `timer` int DEFAULT NULL,
        `createdAt` datetime NOT NULL,
        `updatedAt` datetime NOT NULL,
        `mesaId` int DEFAULT NULL,
        `waiterId` int DEFAULT NULL,
        PRIMARY KEY (`id`),
        KEY `mesaId` (`mesaId`),
        KEY `waiterId` (`waiterId`),
        CONSTRAINT `ordenes_ibfk_1` FOREIGN KEY (`mesaId`) REFERENCES `mesas` (`id`) ON DELETE
        SET
            NULL ON UPDATE CASCADE,
            CONSTRAINT `ordenes_ibfk_2` FOREIGN KEY (`waiterId`) REFERENCES `waiters` (`id`) ON DELETE
        SET
            NULL ON UPDATE CASCADE
    ) ENGINE = InnoDB AUTO_INCREMENT = 6 DEFAULT CHARSET = utf8mb4 COLLATE = utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */
;

--
-- Dumping data for table `ordenes`
--

LOCK TABLES `ordenes` WRITE;
/*!40000 ALTER TABLE `ordenes` DISABLE KEYS */
;

INSERT INTO `ordenes`
VALUES (
        2,
        'Pendiente',
        17,
        4,
        NULL,
        NULL,
        '2023-11-22 17:23:18',
        '2023-11-22 17:23:18',
        1,
        1
    ), (
        3,
        'Entregado',
        6.99,
        7,
        NULL,
        NULL,
        '2023-11-22 17:24:59',
        '2023-11-22 17:24:59',
        2,
        2
    ), (
        4,
        'Pendiente',
        500,
        7,
        NULL,
        0,
        '2023-11-22 17:26:04',
        '2023-12-12 21:01:17',
        3,
        3
    ), (
        5,
        'Entregado',
        33,
        6,
        10,
        364,
        '2023-11-28 15:04:58',
        '2023-12-12 21:08:56',
        4,
        3
    );
/*!40000 ALTER TABLE `ordenes` ENABLE KEYS */
;

UNLOCK TABLES;

--
-- Table structure for table `secciones`
--

DROP TABLE IF EXISTS `secciones`;
/*!40101 SET @saved_cs_client     = @@character_set_client */
;
/*!50503 SET character_set_client = utf8mb4 */
;

CREATE TABLE
    `secciones` (
        `id` int NOT NULL AUTO_INCREMENT,
        `nombre` varchar(255) NOT NULL,
        `descripcion` varchar(255) DEFAULT NULL,
        `estado` enum('Habilitado', 'Deshabilitado') DEFAULT 'Habilitado',
        `horaInicio` int DEFAULT '0',
        `horaFin` int DEFAULT '0',
        PRIMARY KEY (`id`)
    ) ENGINE = InnoDB AUTO_INCREMENT = 5 DEFAULT CHARSET = utf8mb4 COLLATE = utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */
;

--
-- Dumping data for table `secciones`
--

LOCK TABLES `secciones` WRITE;
/*!40000 ALTER TABLE `secciones` DISABLE KEYS */
;

INSERT INTO `secciones`
VALUES (
        1,
        'Hall',
        'hall',
        'Habilitado',
        0,
        0
    ), (
        2,
        'Bar',
        'bar',
        'Habilitado',
        0,
        0
    ), (
        3,
        'Tearrace',
        'terrace',
        'Habilitado',
        0,
        0
    ), (
        4,
        'seccion update',
        'seccion',
        'Habilitado',
        540,
        540
    );
/*!40000 ALTER TABLE `secciones` ENABLE KEYS */
;

UNLOCK TABLES;

--
-- Table structure for table `variantes`
--

DROP TABLE IF EXISTS `variantes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */
;
/*!50503 SET character_set_client = utf8mb4 */
;

CREATE TABLE
    `variantes` (
        `id` int NOT NULL AUTO_INCREMENT,
        `nombre` varchar(50) NOT NULL,
        `estado` enum('Multiple', 'Singular') DEFAULT NULL,
        PRIMARY KEY (`id`)
    ) ENGINE = InnoDB AUTO_INCREMENT = 12 DEFAULT CHARSET = utf8mb4 COLLATE = utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */
;

--
-- Dumping data for table `variantes`
--

LOCK TABLES `variantes` WRITE;
/*!40000 ALTER TABLE `variantes` DISABLE KEYS */
;

INSERT INTO `variantes`
VALUES (
        1,
        'Type of Cooking',
        'Singular'
    ), (
        2,
        'Additional ingredients 1',
        'Multiple'
    ), (
        3,
        'Cooking of meat',
        'Singular'
    ), (
        4,
        'Additional ingredients 3',
        'Multiple'
    ), (
        5,
        'Additional Features',
        'Multiple'
    ), (6, 'Antiquity', 'Singular'), (7, 'Amount', 'Singular'), (8, 'State', 'Singular'), (9, 'Type', 'Singular'), (
        10,
        'Additional ingredients 2',
        'Multiple'
    );
/*!40000 ALTER TABLE `variantes` ENABLE KEYS */
;

UNLOCK TABLES;

--
-- Table structure for table `waiters`
--

DROP TABLE IF EXISTS `waiters`;
/*!40101 SET @saved_cs_client     = @@character_set_client */
;
/*!50503 SET character_set_client = utf8mb4 */
;

CREATE TABLE
    `waiters` (
        `id` int NOT NULL AUTO_INCREMENT,
        `nombre` varchar(50) NOT NULL,
        `correo` varchar(255) NOT NULL,
        `password` varchar(255) NOT NULL,
        `pin` varchar(255) NOT NULL,
        `celular` bigint NOT NULL,
        `direccion` varchar(255) NOT NULL,
        `url` varchar(255) NOT NULL,
        `rol` enum('1', '2', '3', '4') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '4',
        PRIMARY KEY (`id`),
        UNIQUE KEY `correo` (`correo`),
        UNIQUE KEY `pin` (`pin`)
    ) ENGINE = InnoDB AUTO_INCREMENT = 5 DEFAULT CHARSET = utf8mb4 COLLATE = utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */
;

--
-- Dumping data for table `waiters`
--

LOCK TABLES `waiters` WRITE;
/*!40000 ALTER TABLE `waiters` DISABLE KEYS */
;

INSERT INTO `waiters`
VALUES (
        1,
        'Darwin',
        'darwin@gmail.com',
        '$2a$10$kSG1zQRG33THiYJtCBvAHexmS9J3rAxkCq.kW3cA/cHcyQ5A.K506',
        '7654',
        7856254,
        'calle Bolivar',
        'http://res.cloudinary.com/dfx5ww1l1/image/upload/v1698707302/yjseol60neccmk3pegjz.png',
        '1'
    ), (
        2,
        'Marlen',
        'marlen@gmail.com',
        '$2a$10$2V4ywD6/k.ll8AffgJxyD.E./fAy0rOcSPV5hc0Xfwu3aU7AzD616',
        '3210',
        7856434,
        'calle Bolivar',
        'http://res.cloudinary.com/dfx5ww1l1/image/upload/v1698707354/inv4tpivue4qjhtlxoil.png',
        '2'
    ), (
        3,
        'Alberth',
        'alberth@gmail.com',
        '$2a$10$osKyPZ8Jht2s9KxIqF/xKuXsiLKX2c6coyVf8SPtbErlktFD.QZQW',
        '1234',
        7856254,
        'calle Bolivar',
        'http://res.cloudinary.com/dfx5ww1l1/image/upload/v1698707207/na2g5pj3cidf27tv8whf.png',
        '3'
    ), (
        4,
        'Pablo',
        'pablo@gmail.com',
        '$2a$10$2BeyWGPwcl2PBze/yeKqreD9HQnYj8WiAIthAMibrtIyJQwWT/2D2',
        '9807',
        7856434,
        'calle Bolivar',
        'http://res.cloudinary.com/dfx5ww1l1/image/upload/v1701185401/brunlummprjdewf3ssro.png',
        '1'
    );
/*!40000 ALTER TABLE `waiters` ENABLE KEYS */
;

UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */
;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */
;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */
;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */
;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */
;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */
;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */
;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */
;

-- Dump completed on 2023-12-30  9:05:05